Package io.vertx.ext.shell.term

## Interface Term

- All Superinterfaces:
    `Tty`

      public interface Term
      extends Tty

  The terminal.
  Author:
    Julien Viet

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` | Close the connection to terminal.
    `Term` | `closeHandler​(Handler<Void> handler)` | Set a handler that will be called when the terminal is closed.
    `Term` | `echo​(String text)` | Echo some text in the terminal, escaped if necessary.
    `Term` | `interruptHandler​(SignalHandler handler)` | Set an interrupt signal handler on the term.
    `long` | `lastAccessedTime()` |
    `void` | `readline​(String prompt, Handler<String> lineHandler)` | Prompt the user a line of text.
    `void` | `readline​(String prompt, Handler<String> lineHandler, Handler<Completion> completionHandler)` | Prompt the user a line of text, providing a completion handler to handle user's completion.
    `Term` | `resizehandler​(Handler<Void> handler)` | Set a resize handler, the handler is called when the tty size changes.
    `Term` | `setSession​(Session session)` | Associate the term with a session.
    `Term` | `stdinHandler​(Handler<String> handler)` | Set a stream handler on the standard input to read the data.
    `Term` | `suspendHandler​(SignalHandler handler)` | Set a suspend signal handler on the term.
    `Term` | `write​(String data)` | Write data to the standard output.

    - ### Methods inherited from interface io.vertx.ext.shell.term.Tty

      `height, type, width`

- - ### Method Detail

    - #### resizehandler

          Term resizehandler​(Handler<Void> handler)

      Description copied from interface: `Tty`
      Set a resize handler, the handler is called when the tty size changes.
      Specified by:
        `resizehandler` in interface `Tty`
      Parameters:
        `handler` - the resize handler
      Returns:
        this object

    - #### stdinHandler

          Term stdinHandler​(Handler<String> handler)

      Description copied from interface: `Tty`
      Set a stream handler on the standard input to read the data.
      Specified by:
        `stdinHandler` in interface `Tty`
      Parameters:
        `handler` - the standard input
      Returns:
        this object

    - #### write

          Term write​(String data)

      Description copied from interface: `Tty`
      Write data to the standard output.
      Specified by:
        `write` in interface `Tty`
      Parameters:
        `data` - the data to write
      Returns:
        this object

    - #### lastAccessedTime

          long lastAccessedTime()

      Returns:
        the last time this term received input

    - #### echo

          Term echo​(String text)

      Echo some text in the terminal, escaped if necessary.

      Parameters:
        `text` - the text to echo
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSession

          Term setSession​(Session session)

      Associate the term with a session.
      Parameters:
        `session` - the session to set
      Returns:
        a reference to this, so the API can be used fluently

    - #### interruptHandler

          Term interruptHandler​(SignalHandler handler)

      Set an interrupt signal handler on the term.
      Parameters:
        `handler` - the interrupt handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### suspendHandler

          Term suspendHandler​(SignalHandler handler)

      Set a suspend signal handler on the term.
      Parameters:
        `handler` - the suspend handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### readline

          void readline​(String prompt,
                        Handler<String> lineHandler)

      Prompt the user a line of text.
      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line

    - #### readline

          void readline​(String prompt,
                        Handler<String> lineHandler,
                        Handler<Completion> completionHandler)

      Prompt the user a line of text, providing a completion handler to handle user's completion.
      Parameters:
        `prompt` - the displayed prompt
        `lineHandler` - the line handler called with the line
        `completionHandler` - the completion handler

    - #### closeHandler

          Term closeHandler​(Handler<Void> handler)

      Set a handler that will be called when the terminal is closed.
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### close

          void close()

      Close the connection to terminal.